Draws text on the image

- « ImagickDraw::affine

- ImagickDraw::arc »

- PHP Manual
- ImagickDraw
- Draws text on the image

# ImagickDraw::annotation

(PECL imagick 2, PECL imagick 3)

ImagickDraw::annotation — Draws text on the image

### Description

public ImagickDraw::annotation(float `$x`, float `$y`, string `$text`): bool
Warning

This function is currently not documented; only its argument list is available.

Draws text on the image.

### Parameters

`x`

  The x coordinate where text is drawn

`y`

  The y coordinate where text is drawn

`text`

  The text to draw on the image

### Return Values

No value is returned.